<?php require_once('Connections/cn.php'); ?>
<?php
// header("Content-Type:text/html; charset=UTF-8");
header("Content-Type:text/html; charset=utf-8");
$Area= $_REQUEST["id"];

// Para tomar los datos del alumno
$sql = "SELECT apellidos,nombres FROM alumnos WHERE id_alumno='$Area'";
$rs = mysql_query($sql, $cn) or die(mysql_error());
$row = mysql_fetch_assoc($rs);
$estudiante= $row["apellidos"].', '.$row["nombres"];

// Realizo la consulta de la Tabla materias filtrando con la carrera que se seleccion�.
 
mysql_select_db($database_cn, $cn);
mysql_query ("SET NAMES 'utf8'");
$query_carreras = "Select
carreras.nombre_carrera,
carreras_alumno.id_carrera
From
carreras
Inner Join carreras_alumno ON carreras.id_carrera = carreras_alumno.id_carrera
Where
carreras_alumno.id_alumno = '$Area'";



$rst_carreras = mysql_query($query_carreras, $cn) or die(mysql_error());
//$row_materias = mysql_fetch_assoc($rst_materias);
$totalRows_carreras = mysql_num_rows($rst_carreras);  

if($totalRows_carreras >0)
{
	
	$code=0;
	while($carrera = mysql_fetch_assoc($rst_carreras))
	{
		
	    $array_cod[$code] = $carrera["id_carrera"];		
		$array_carreras[$code]=  $carrera["nombre_carrera"];	
		$code += 1;
	}
		
    // Bucle para cargar las maetrias en el combo (materias)
    for ($i=0; $i<count($array_carreras);$i++){
	    echo "<option value=".$array_cod[$i].">".$array_carreras[$i]."</option>";
    }
}
else{

?>
	<script type="text/javascript">
		msj="¡Lo sentimos¡\nEstudiante <?php echo $estudiante ?>.\nNo tiene asignada una carrera.";
		alert(msj);
		window.parent.document.graduandos.id_alumno.value=0;
		window.parent.document.graduandos.id_alumno.focus();	   
	</script>
<?php
}
?>